RagTime5StyleManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5StyleManager Class Reference

basic class used to read/store RagTime 5/6 styles More...

`#include <RagTime5StyleManager.hxx>`

## Classes
struct | GraphicStyle
| the graphic style of a RagTime v5-v6 document More...
struct | TextStyle
| the text style of a RagTime v5-v6 document More...

## Public Member Functions
| RagTime5StyleManager (RagTime5Parser &parser)
| constructor More...
| ~RagTime5StyleManager ()
| destructor More...
bool | readGraphicColors (RagTime5ClusterManager::Cluster &cluster)
| try to read a graphic color zone More...
bool | readGraphicStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main graphic styles More...
bool | readTextStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main text styles More...
bool | readFormats (RagTime5ClusterManager::Cluster &cluster)
| try to read the list of format More...
bool | updateSurfaceStyle (int graphicId, MWAWGraphicStyle &surfaceStyle) const
| updates a graphic style More...
bool | updateBorderStyle (int graphicId, MWAWGraphicStyle &borderStyle, bool isLine) const
| updates a graphic style(border) More...
bool | getLineColor (int graphicId, MWAWColor &color) const
| returns the line color corresponding to a graphic style More...
bool | updateTextStyles (int textId, MWAWFont &font, MWAWParagraph &para) const
| update the font and the paragraph properties using a text style More...
bool | getCellBorder (int graphicId, MWAWBorder &border) const
| returns a cell border More...
bool | getCellBackgroundColor (int graphicId, MWAWColor &color) const
| returns the cell background More...
bool | updateCellFormat (int formatId, MWAWCell &cell) const
| updates the cell format More...

## Protected Member Functions
void | updateTextStyles (size_t id, RagTime5StyleManager::TextStyle const &style, std::vector< RagTime5StyleManager::TextStyle > const &listReadStyles, std::multimap< size_t, size_t > const &idToChildIpMap, std::set< size_t > &seens)
| recursive function use to update the style list More...
void | updateGraphicStyles (size_t id, RagTime5StyleManager::GraphicStyle const &style, std::vector< RagTime5StyleManager::GraphicStyle > const &listReadStyles, std::multimap< size_t, size_t > const &idToChildIpMap, std::set< size_t > &seens)
| recursive function use to update the style list More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< RagTime5StyleManagerInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5StyleManager (RagTime5StyleManager const &orig)
RagTime5StyleManager | operator= (RagTime5StyleManager const &orig)

## Friends
class | RagTime5Parser

## Detailed Description

basic class used to read/store RagTime 5/6 styles

## Constructor & Destructor Documentation

RagTime5StyleManager::RagTime5StyleManager | ( | RagTime5Parser & | parser | ) |
| explicit

constructor

RagTime5StyleManager::~RagTime5StyleManager | ( |  | ) |

destructor

RagTime5StyleManager::RagTime5StyleManager | ( | RagTime5StyleManager const & | orig | ) |
| private

## Member Function Documentation

bool RagTime5StyleManager::getCellBackgroundColor | ( | int | graphicId,
|  | MWAWColor & | color
| ) |  | const

returns the cell background

bool RagTime5StyleManager::getCellBorder | ( | int | graphicId,
|  | MWAWBorder & | border
| ) |  | const

returns a cell border

bool RagTime5StyleManager::getLineColor | ( | int | graphicId,
|  | MWAWColor & | color
| ) |  | const

returns the line color corresponding to a graphic style

Referenced by updateTextStyles().

RagTime5StyleManager RagTime5StyleManager::operator= | ( | RagTime5StyleManager const & | orig | ) |
| private

bool RagTime5StyleManager::readFormats | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read the list of format

bool RagTime5StyleManager::readGraphicColors | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a graphic color zone

bool RagTime5StyleManager::readGraphicStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a main graphic styles

bool RagTime5StyleManager::readTextStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a main text styles

bool RagTime5StyleManager::updateBorderStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | borderStyle,
|  | bool | isLine
| ) |  | const

updates a graphic style(border)

bool RagTime5StyleManager::updateCellFormat | ( | int | formatId,
|  | MWAWCell & | cell
| ) |  | const

updates the cell format

void RagTime5StyleManager::updateGraphicStyles | ( | size_t | id,
|  | RagTime5StyleManager::GraphicStyle const & | style,
|  | std::vector< RagTime5StyleManager::GraphicStyle > const & | listReadStyles,
|  | std::multimap< size_t, size_t > const & | idToChildIpMap,
|  | std::set< size_t > & | seens
| ) |  |
| protected

recursive function use to update the style list

Referenced by readGraphicStyles().

bool RagTime5StyleManager::updateSurfaceStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | surfaceStyle
| ) |  | const

updates a graphic style

bool RagTime5StyleManager::updateTextStyles | ( | int | textId,
|  | MWAWFont & | font,
|  | MWAWParagraph & | para
| ) |  | const

update the font and the paragraph properties using a text style

Referenced by readTextStyles(), and updateTextStyles().

void RagTime5StyleManager::updateTextStyles | ( | size_t | id,
|  | RagTime5StyleManager::TextStyle const & | style,
|  | std::vector< RagTime5StyleManager::TextStyle > const & | listReadStyles,
|  | std::multimap< size_t, size_t > const & | idToChildIpMap,
|  | std::set< size_t > & | seens
| ) |  |
| protected

recursive function use to update the style list

## Friends And Related Function Documentation

friend class RagTime5Parser
| friend

## Member Data Documentation

RagTime5Parser& RagTime5StyleManager::m_mainParser
| protected

the parser

Referenced by readFormats(), readGraphicColors(), readGraphicStyles(), and readTextStyles().

MWAWParserStatePtr RagTime5StyleManager::m_parserState
| protected

the parser state

Referenced by readTextStyles().

shared_ptr<RagTime5StyleManagerInternal::State> RagTime5StyleManager::m_state
| protected

the state

Referenced by getCellBackgroundColor(), getCellBorder(), getLineColor(), readFormats(), readGraphicColors(), readGraphicStyles(), readTextStyles(), updateBorderStyle(), updateCellFormat(), updateGraphicStyles(), updateSurfaceStyle(), and updateTextStyles().

The documentation for this class was generated from the following files:

- RagTime5StyleManager.hxx
- RagTime5StyleManager.cxx